# -*- coding: utf-8 -*-
# Generated by Django 1.9 on 2020-03-02 14:12
from __future__ import unicode_literals

import django.contrib.gis.db.models.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Webcam',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('geom', django.contrib.gis.db.models.fields.PointField(blank=True, null=True, srid=4326)),
                ('station', models.CharField(blank=True, max_length=254, null=True)),
                ('site', models.CharField(blank=True, max_length=254, null=True)),
                ('img', models.CharField(blank=True, max_length=254, null=True)),
                ('nom', models.CharField(blank=True, max_length=254, null=True)),
                ('lat', models.FloatField(blank=True, null=True)),
                ('lon', models.FloatField(blank=True, null=True)),
                ('yaw', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'db_table': 'webcam',
                'permissions': (('view_webcam', 'Can see webcams'),),
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Unite',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(max_length=16)),
                ('nom', models.CharField(max_length=64)),
                ('email', models.CharField(max_length=64)),
                ('secours', models.CharField(blank=True, max_length=64, null=True)),
                ('geom', django.contrib.gis.db.models.fields.GeometryField(blank=True, null=True, srid=4326)),
                ('dept', models.CharField(blank=True, max_length=3, null=True)),
                ('zoom', models.IntegerField()),
            ],
            options={
                'db_table': 'unite',
                'managed': True,
            },
        ),
    ]
